ariatosca-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From mxm...@apache.org
Subject [3/7] incubator-ariatosca git commit: add logutils to support configuring logging via dict
Date Thu, 13 Apr 2017 14:10:27 GMT
add logutils to support configuring logging via dict


Project: http://git-wip-us.apache.org/repos/asf/incubator-ariatosca/repo
Commit: http://git-wip-us.apache.org/repos/asf/incubator-ariatosca/commit/7f81c423
Tree: http://git-wip-us.apache.org/repos/asf/incubator-ariatosca/tree/7f81c423
Diff: http://git-wip-us.apache.org/repos/asf/incubator-ariatosca/diff/7f81c423

Branch: refs/heads/ARIA-138-Make-logging-more-informative
Commit: 7f81c4236ff3518fc4918e5d4715149b057ccf05
Parents: 7b8a418
Author: max-orlov <maxim@gigaspaces.com>
Authored: Thu Apr 13 14:39:34 2017 +0300
Committer: max-orlov <maxim@gigaspaces.com>
Committed: Thu Apr 13 14:43:30 2017 +0300

----------------------------------------------------------------------
 aria/cli/logger.py |  4 ++--
 requirements.in    |  4 ++++
 requirements.txt   | 17 ++++++++---------
 3 files changed, 14 insertions(+), 11 deletions(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/incubator-ariatosca/blob/7f81c423/aria/cli/logger.py
----------------------------------------------------------------------
diff --git a/aria/cli/logger.py b/aria/cli/logger.py
index cbb916d..2f012d9 100644
--- a/aria/cli/logger.py
+++ b/aria/cli/logger.py
@@ -17,7 +17,7 @@
 import os
 import copy
 import logging
-import logging.config
+from logutils import dictconfig
 
 
 HIGH_VERBOSE = 3
@@ -111,4 +111,4 @@ class Logging(object):
             log.setLevel(level)
             self._all_loggers.append(logger_name)
 
-        logging.config.dictConfig(logger_dict)
+        dictconfig.dictConfig(logger_dict)

http://git-wip-us.apache.org/repos/asf/incubator-ariatosca/blob/7f81c423/requirements.in
----------------------------------------------------------------------
diff --git a/requirements.in b/requirements.in
index 32e2d04..3950140 100644
--- a/requirements.in
+++ b/requirements.in
@@ -10,6 +10,9 @@
 # See the License for the specific language governing permissions and
 # limitations under the License.
 
+# In order to create the requirements.txt file, execute
+# pip-compile --output-file requirements.txt requirements.in (pip-tools package is needed).
+
 PyYAML<3.13
 requests>=2.3.0, <2.14.0
 networkx>=1.9, <1.10 # version 1.10 dropped support of python 2.6
@@ -30,6 +33,7 @@ colorama>=0.3.3, < 0.3.5
 PrettyTable>=0.7,<0.8
 click_didyoumean==0.0.3
 backports.shutil_get_terminal_size==1.0.0
+logutils==0.3.4.1
 
 # Since the tool we are using to generate our requirements.txt, `pip-tools`,
 # does not currently support conditional dependencies (;), we're adding our original

http://git-wip-us.apache.org/repos/asf/incubator-ariatosca/blob/7f81c423/requirements.txt
----------------------------------------------------------------------
diff --git a/requirements.txt b/requirements.txt
index aba6aa7..3accaa3 100644
--- a/requirements.txt
+++ b/requirements.txt
@@ -4,21 +4,19 @@
 #
 #    pip-compile --output-file requirements.txt requirements.in
 #
-
-# ----------------------------------------------------------------------------------
 # Since the tool we are using to generate our requirements.txt, `pip-tools`,
 # does not currently support conditional dependencies (;), we're adding our original
-# conditional dependencies here manually.
+# conditional dependencies here as comments, and manually adding them to our
+# generated requirements.txt file.
 # The relevant pip-tools issue: https://github.com/jazzband/pip-tools/issues/435
 
-importlib==1.0.4 ; python_version < '2.7'
-ordereddict==1.1 ; python_version < '2.7'
-total-ordering==0.1.0 ; python_version < '2.7'
+importlib ; python_version < '2.7'
+ordereddict ; python_version < '2.7'
+total-ordering ; python_version < '2.7'  # only one version on pypi
 # Fabric makes use of this library, but doesn't bring it :(
 pypiwin32==219 ; sys_platform == 'win32'
 # ----------------------------------------------------------------------------------
 
-appdirs==1.4.3            # via setuptools
 args==0.1.0               # via clint
 asn1crypto==0.22.0        # via cryptography
 backports.shutil_get_terminal_size==1.0.0
@@ -39,10 +37,11 @@ ipaddress==1.0.18         # via cryptography
 jinja2==2.8.1
 jsonpickle==0.9.4
 lockfile==0.12.2          # via cachecontrol
+logutils==0.3.4.1
 markupsafe==1.0           # via jinja2
 msgpack-python==0.4.8     # via cachecontrol
 networkx==1.9.1
-packaging==16.8           # via cryptography, setuptools
+packaging==16.8           # via cryptography
 paramiko==2.1.2           # via fabric
 prettytable==0.7.2
 pyasn1==0.2.3             # via paramiko
@@ -54,7 +53,7 @@ retrying==1.3.3
 ruamel.ordereddict==0.4.9  # via ruamel.yaml
 ruamel.yaml==0.11.15
 shortuuid==0.5.0
-six==1.10.0               # via cryptography, packaging, retrying, setuptools
+six==1.10.0               # via cryptography, packaging, retrying
 sqlalchemy==1.1.6
 wagon==0.6.0
 wheel==0.29.0             # via wagon


Mime
View raw message